de
Team & FuhrparkTechniker aktualisieren

Techniker aktualisieren

Aktualisiert veränderbare Profilfelder des Technikers. `start_location_type=office` erstellt erneut einen Snapshot der aktuellen Unternehmensadresse + Koordinaten (Body `address`/`start_location_lat`/`start_location_long` ignoriert; erfordert Unternehmenskoordinaten, sonst 400 BUSINESS_LOCATION_MISSING). `start_location_type=home` (oder leer) verwendet die Adresse + Koordinaten aus dem Body.

Argumente

idstringpatherforderlich
Techniker-ID
addressobjectbodyoptional
Home address (the day-start point when start_location_type=home).
citystringbodyoptional
City / locality.
countrystringbodyoptional
Country (free-form or ISO code).
formattedstringbodyoptional
Vollständige Anzeigezeichenfolge; wenn gesetzt, hat sie für die Anzeige Vorrang vor den einzelnen Teilen.
linestringbodyoptional
Straße Zeile 1.
line2stringbodyoptional
Straße Zeile 2 (Einheit, Suite).
postal_codestringbodyoptional
Postleitzahl.
statestringbodyoptional
State / province / region.
assignment_tierenumbodyoptional
Team-Stufe: lead / buddy / float (float = von der automatischen Team-Zuweisung ausgeschlossen).
business_group_idstringbodyerforderlich
Rollengruppe. IDs ermitteln über GET /permission/groups.
emailstringbodyoptional
Email address. At least one of phone/email is required.
full_namestringbodyerforderlich
The person's full display name. Required; max 255 chars.
job_titlestringbodyoptional
Anzeigetitel.
join_datestringbodyoptional
Erster Arbeitstag (YYYY-MM-DD).
phonestringbodyoptional
Mindestens eines von Telefon/E-Mail ist erforderlich.
start_location_latnumberbodyoptional
Explicit day-start latitude in decimal degrees (-90..90); when set it wins over the address geocode.
start_location_longnumberbodyoptional
Explicit day-start longitude in decimal degrees (-180..180); when set it wins over the address geocode.
start_location_typeenumbodyoptional
Tagesstartpunkt: home oder office; explizite Koordinaten haben Vorrang, wenn gesetzt.
PUT/v1/technicians/{id}
curl -X PUT "https://api.crisphive.com/v1/technicians/9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" \
  -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \
  -H "Content-Type: application/json" \
  -d '{
  "address": {
    "city": "San Francisco",
    "country": "US",
    "formatted": "123 Market Street, San Francisco, CA 94103",
    "line": "123 Market Street",
    "line2": "Suite 200",
    "postal_code": "94103",
    "state": "CA"
  },
  "assignment_tier": "lead",
  "business_group_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01",
  "email": "jane.doe@example.com",
  "full_name": "Jane Cooper",
  "job_title": "Sample title",
  "join_date": "2026-07-02",
  "phone": "+14155550142",
  "start_location_lat": 1,
  "start_location_long": 1,
  "start_location_type": "home"
}'
Anfragetext
{
"address": {
"city": ,
"country": ,
"formatted": ,
"line": ,
"line2": ,
"postal_code": ,
"state":
},
"assignment_tier": ,
"business_group_id": ,
"email": ,
"full_name": ,
"job_title": ,
"join_date": ,
"phone": ,
"start_location_lat": ,
"start_location_long": ,
"start_location_type":
}

Antworten